///-----------------------------------------------------------------
///
/// @file      LauncherFrm.cpp
/// @author    Marin Javorka, xjavor12
/// Created:   29. 4. 2011 16:53:24
/// @section   DESCRIPTION
///            LauncherFrm class implementation
///
///------------------------------------------------------------------

#include "LauncherFrm.h"

//Do not add custom headers between
//Header Include Start and Header Include End
//wxDev-C++ designer will remove them
////Header Include Start
////Header Include End

//----------------------------------------------------------------------------
// LauncherFrm
//----------------------------------------------------------------------------
//Add Custom Events only in the appropriate block.
//Code added in other places will be removed by wxDev-C++
////Event Table Start
BEGIN_EVENT_TABLE(LauncherFrm,wxFrame)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(LauncherFrm::OnClose)
	EVT_RADIOBUTTON(ID_RANDOMBTN,LauncherFrm::randomBtnClick)
	EVT_RADIOBUTTON(ID_SNOWYBTN,LauncherFrm::snowyBtnClick)
	EVT_RADIOBUTTON(ID_RAINYBTN,LauncherFrm::rainyBtnClick)
	EVT_RADIOBUTTON(ID_SUNNYBTN,LauncherFrm::sunnyBtnClick)
	EVT_BUTTON(ID_P2LOGOUT,LauncherFrm::P2LogOutClick)
	EVT_BUTTON(ID_P2LOGIN,LauncherFrm::P2LogInClick)
	
	EVT_TEXT(ID_P2PASSWORD,LauncherFrm::P2NameUpdated)
	
	EVT_TEXT(ID_P2NAME,LauncherFrm::P2NameUpdated)
	EVT_CHECKBOX(ID_JOINP2,LauncherFrm::OnJoinP2)
	EVT_CHECKBOX(ID_SLOWCONNECTION,LauncherFrm::OnJoinP2)
	EVT_BUTTON(ID_P1LOGOUT,LauncherFrm::P1LogOutClick)
	EVT_BUTTON(ID_P1LOGIN,LauncherFrm::P1LogInClick)
	
	EVT_TEXT(ID_P1PASSWORD,LauncherFrm::P1NameUpdated)
	
	EVT_TEXT(ID_P1NAMEEDIT,LauncherFrm::P1NameUpdated)
	EVT_BUTTON(ID_STARTBTN,LauncherFrm::startBtnClick)
	EVT_BUTTON(ID_HOMEBTN,LauncherFrm::homeBtnClick)
	EVT_BUTTON(ID_EXITBTN,LauncherFrm::exitBtnClick)
	EVT_BUTTON(ID_CARSBTN,LauncherFrm::carsBtnClick)
	EVT_BUTTON(ID_TRACKBTN,LauncherFrm::trackBtnClick)
END_EVENT_TABLE()
////Event Table End

LauncherFrm::LauncherFrm(wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style)
: wxFrame(parent, id, title, position, size, style)
{
    CreateGUIControls();
}

LauncherFrm::~LauncherFrm()
{
}

void LauncherFrm::CreateGUIControls()
{
	//Do not add custom code between
	//GUI Items Creation Start and GUI Items Creation End
	//wxDev-C++ designer will remove them.
	//Add the custom code before or after the blocks
	
	////GUI Items Creation Start

	wxInitAllImageHandlers();   //Initialize graphic format handlers

	homeScreen = new wxPanel(this, ID_HOMESCREEN, wxPoint(0, 0), wxSize(750, 490));
	homeScreen->SetBackgroundColour(wxColour(000,000,000));

	homeBg = new wxStaticBitmap(homeScreen, ID_HOMEBG, wxBitmap("D:/TVORBA/-=SKOLA=-/!DIP/ver0.9/Launcher/Images/bg_home.bmp", wxBITMAP_TYPE_BMP), wxPoint(0, 0), wxSize(744, 462) );

	wxBitmap trackBtn_BITMAP ("D:/TVORBA/-=SKOLA=-/!DIP/ver0.9/Launcher/Images/btn_track_nor.bmp", wxBITMAP_TYPE_BMP);
	trackBtn = new wxBitmapButton(homeScreen, ID_TRACKBTN, trackBtn_BITMAP, wxPoint(462, 0), wxSize(128, 45), wxBU_AUTODRAW, wxDefaultValidator, wxT("trackBtn"));

	wxBitmap carsBtn_BITMAP ("D:/TVORBA/-=SKOLA=-/!DIP/ver0.9/Launcher/Images/btn_cars_nor.bmp", wxBITMAP_TYPE_BMP);
	carsBtn = new wxBitmapButton(homeScreen, ID_CARSBTN, carsBtn_BITMAP, wxPoint(333, 0), wxSize(128, 45), wxBU_AUTODRAW, wxDefaultValidator, wxT("carsBtn"));

	wxBitmap exitBtn_BITMAP ("D:/TVORBA/-=SKOLA=-/!DIP/ver0.9/Launcher/Images/btn_exit_nor.bmp", wxBITMAP_TYPE_BMP);
	exitBtn = new wxBitmapButton(homeScreen, ID_EXITBTN, exitBtn_BITMAP, wxPoint(591, 0), wxSize(128, 45), wxBU_AUTODRAW, wxDefaultValidator, wxT("exitBtn"));

	wxBitmap homeBtn_BITMAP ("D:/TVORBA/-=SKOLA=-/!DIP/ver0.9/Launcher/Images/btn_home_nor.bmp", wxBITMAP_TYPE_BMP);
	homeBtn = new wxBitmapButton(homeScreen, ID_HOMEBTN, homeBtn_BITMAP, wxPoint(204, 0), wxSize(128, 45), wxBU_AUTODRAW, wxDefaultValidator, wxT("homeBtn"));
	homeBtn->Enable(false);

	wxBitmap startBtn_BITMAP ("D:/TVORBA/-=SKOLA=-/!DIP/ver0.9/Launcher/Images/btn_start_nor.bmp", wxBITMAP_TYPE_BMP);
	startBtn = new wxBitmapButton(homeScreen, ID_STARTBTN, startBtn_BITMAP, wxPoint(19, 412), wxSize(250, 35), wxBU_AUTODRAW, wxDefaultValidator, wxT("startBtn"));

	homeTrackLabel = new wxStaticText(homeScreen, ID_HOMETRACKLABEL, wxT("Track:"), wxPoint(35, 275), wxDefaultSize, 0, wxT("homeTrackLabel"));
	homeTrackLabel->SetForegroundColour(wxColour(255,255,255));
	homeTrackLabel->SetFont(wxFont(12, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	WxStaticText1 = new wxStaticText(homeScreen, ID_WXSTATICTEXT1, wxT("Masarykv okruh Brno"), wxPoint(65, 290), wxDefaultSize, 0, wxT("WxStaticText1"));
	WxStaticText1->SetForegroundColour(wxColour(116,116,116));
	WxStaticText1->SetFont(wxFont(11, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	WxStaticText2 = new wxStaticText(homeScreen, ID_WXSTATICTEXT2, wxT("5 403,19m"), wxPoint(65, 305), wxDefaultSize, 0, wxT("WxStaticText2"));
	WxStaticText2->SetForegroundColour(wxColour(116,116,116));
	WxStaticText2->SetFont(wxFont(11, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	WxStaticText3 = new wxStaticText(homeScreen, ID_WXSTATICTEXT3, wxT("Weather:"), wxPoint(35, 325), wxDefaultSize, 0, wxT("WxStaticText3"));
	WxStaticText3->SetForegroundColour(wxColour(255,255,255));
	WxStaticText3->SetFont(wxFont(12, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	weatherLabel = new wxStaticText(homeScreen, ID_WEATHERLABEL, wxT("Random"), wxPoint(65, 340), wxDefaultSize, 0, wxT("weatherLabel"));
	weatherLabel->SetForegroundColour(wxColour(116,116,116));
	weatherLabel->SetFont(wxFont(11, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	PlayerOnePanel = new wxPanel(homeScreen, ID_PLAYERONEPANEL, wxPoint(29, 105), wxSize(330, 140));
	PlayerOnePanel->SetBackgroundColour(wxColour(3,6,9));

	WxStaticText4 = new wxStaticText(PlayerOnePanel, ID_WXSTATICTEXT4, wxT("Player One settings:"), wxPoint(11, 11), wxDefaultSize, 0, wxT("WxStaticText4"));
	WxStaticText4->SetForegroundColour(wxColour(255,255,255));
	WxStaticText4->SetBackgroundColour(wxColour(3,6,9));
	WxStaticText4->SetFont(wxFont(12, wxSWISS, wxNORMAL, wxBOLD, false, wxT("Arial")));

	WxStaticText5 = new wxStaticText(PlayerOnePanel, ID_WXSTATICTEXT5, wxT("Player name:"), wxPoint(35, 35), wxDefaultSize, 0, wxT("WxStaticText5"));
	WxStaticText5->SetForegroundColour(wxColour(255,255,255));

	WxStaticText6 = new wxStaticText(PlayerOnePanel, ID_WXSTATICTEXT6, wxT("Password:"), wxPoint(35, 55), wxDefaultSize, 0, wxT("WxStaticText6"));
	WxStaticText6->SetForegroundColour(wxColour(255,255,255));

	WxStaticText7 = new wxStaticText(PlayerOnePanel, ID_WXSTATICTEXT7, wxT("Online status:"), wxPoint(35, 75), wxDefaultSize, 0, wxT("WxStaticText7"));
	WxStaticText7->SetForegroundColour(wxColour(255,255,255));

	P1Status = new wxStaticText(PlayerOnePanel, ID_P1STATUS, wxT("Offline"), wxPoint(115, 75), wxDefaultSize, 0, wxT("P1Status"));
	P1Status->SetForegroundColour(wxColour(255,0,0));

	P1Name = new wxTextCtrl(PlayerOnePanel, ID_P1NAMEEDIT, wxT("PlayerOne"), wxPoint(115, 34), wxSize(125, 17), wxNO_BORDER, wxDefaultValidator, wxT("P1Name"));
	P1Name->SetForegroundColour(wxColour(255,255,255));
	P1Name->SetBackgroundColour(wxColour(15,30,45));

	P1Password = new wxTextCtrl(PlayerOnePanel, ID_P1PASSWORD, wxT(""), wxPoint(115, 54), wxSize(125, 17), wxNO_BORDER | wxTE_PASSWORD, wxDefaultValidator, wxT("P1Password"));
	P1Password->SetForegroundColour(wxColour(255,255,255));
	P1Password->SetBackgroundColour(wxColour(15,30,45));

	P1LogIn = new wxButton(PlayerOnePanel, ID_P1LOGIN, wxT("Log in"), wxPoint(115, 95), wxSize(60, 19), wxTRANSPARENT_WINDOW, wxDefaultValidator, wxT("P1LogIn"));
	P1LogIn->Enable(false);
	P1LogIn->SetFont(wxFont(9, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	P1LogOut = new wxButton(PlayerOnePanel, ID_P1LOGOUT, wxT("Log out"), wxPoint(180, 95), wxSize(60, 19), wxTRANSPARENT_WINDOW, wxDefaultValidator, wxT("P1LogOut"));
	P1LogOut->Enable(false);
	P1LogOut->SetFont(wxFont(9, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	slowConnection = new wxCheckBox(PlayerOnePanel, ID_SLOWCONNECTION, wxT("Slow connection"), wxPoint(35, 118), wxSize(110, 17), 0, wxDefaultValidator, wxT("slowConnection"));
	slowConnection->SetForegroundColour(wxColour(255,255,255));
	slowConnection->SetBackgroundColour(wxColour(3,6,9));
	slowConnection->SetFont(wxFont(9, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	PlayerTwoPanel = new wxPanel(homeScreen, ID_PLAYERTWOPANEL, wxPoint(368, 105), wxSize(330, 140));
	PlayerTwoPanel->SetBackgroundColour(wxColour(3,6,9));

	WxStaticText9 = new wxStaticText(PlayerTwoPanel, ID_WXSTATICTEXT4, wxT("Player Two settings:"), wxPoint(11, 11), wxDefaultSize, 0, wxT("WxStaticText9"));
	WxStaticText9->SetForegroundColour(wxColour(255,255,255));
	WxStaticText9->SetBackgroundColour(wxColour(3,6,9));
	WxStaticText9->SetFont(wxFont(12, wxSWISS, wxNORMAL, wxBOLD, false, wxT("Arial")));

	joinP2 = new wxCheckBox(PlayerTwoPanel, ID_JOINP2, wxT("Join the game"), wxPoint(35, 118), wxSize(97, 17), 0, wxDefaultValidator, wxT("joinP2"));
	joinP2->SetForegroundColour(wxColour(255,255,255));
	joinP2->SetBackgroundColour(wxColour(3,6,9));
	joinP2->SetFont(wxFont(9, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	PlayerTwoDataPanel = new wxPanel(PlayerTwoPanel, ID_PLAYERTWODATAPANEL, wxPoint(0, 35), wxSize(330, 82));
	PlayerTwoDataPanel->Show(false);
	PlayerTwoDataPanel->SetBackgroundColour(wxColour(3,6,9));

	WxStaticText10 = new wxStaticText(PlayerTwoDataPanel, ID_WXSTATICTEXT10, wxT("Player name:"), wxPoint(35, 1), wxDefaultSize, 0, wxT("WxStaticText10"));
	WxStaticText10->SetForegroundColour(wxColour(255,255,255));

	P2Name = new wxTextCtrl(PlayerTwoDataPanel, ID_P2NAME, wxT("PlayerTwo"), wxPoint(115, 0), wxSize(125, 17), wxNO_BORDER, wxDefaultValidator, wxT("P2Name"));
	P2Name->SetForegroundColour(wxColour(255,255,255));
	P2Name->SetBackgroundColour(wxColour(15,30,45));

	WxStaticText11 = new wxStaticText(PlayerTwoDataPanel, ID_WXSTATICTEXT11, wxT("Password:"), wxPoint(35, 21), wxDefaultSize, 0, wxT("WxStaticText11"));
	WxStaticText11->SetForegroundColour(wxColour(255,255,255));

	P2Password = new wxTextCtrl(PlayerTwoDataPanel, ID_P2PASSWORD, wxT(""), wxPoint(115, 20), wxSize(125, 17), wxNO_BORDER | wxTE_PASSWORD, wxDefaultValidator, wxT("P2Password"));
	P2Password->SetForegroundColour(wxColour(255,255,255));
	P2Password->SetBackgroundColour(wxColour(15,30,45));

	WxStaticText12 = new wxStaticText(PlayerTwoDataPanel, ID_WXSTATICTEXT12, wxT("Online status:"), wxPoint(35, 41), wxDefaultSize, 0, wxT("WxStaticText12"));
	WxStaticText12->SetForegroundColour(wxColour(255,255,255));

	P2Status = new wxStaticText(PlayerTwoDataPanel, ID_P2STATUS, wxT("Offline"), wxPoint(115, 41), wxDefaultSize, 0, wxT("P2Status"));
	P2Status->SetForegroundColour(wxColour(255,0,0));

	P2LogIn = new wxButton(PlayerTwoDataPanel, ID_P2LOGIN, wxT("Log in"), wxPoint(115, 61), wxSize(60, 19), wxTRANSPARENT_WINDOW, wxDefaultValidator, wxT("P2LogIn"));
	P2LogIn->SetFont(wxFont(9, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	P2LogOut = new wxButton(PlayerTwoDataPanel, ID_P2LOGOUT, wxT("Log out"), wxPoint(180, 61), wxSize(60, 19), wxTRANSPARENT_WINDOW, wxDefaultValidator, wxT("P2LogOut"));
	P2LogOut->Enable(false);
	P2LogOut->SetFont(wxFont(9, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	trackBg = new wxStaticBitmap(homeScreen, ID_TRACKBG, wxBitmap("D:/TVORBA/-=SKOLA=-/!DIP/ver0.9/Launcher/Images/bg_track.bmp", wxBITMAP_TYPE_BMP), wxPoint(0, 0), wxSize(744, 462) );
	trackBg->Show(false);

	WxStaticText8 = new wxStaticText(homeScreen, ID_WXSTATICTEXT8, wxT(""), wxPoint(10, 9), wxDefaultSize, 0, wxT("WxStaticText8"));
	WxStaticText8->SetForegroundColour(wxColour(255,255,255));
	WxStaticText8->SetBackgroundColour(wxColour(1,40,63));
	WxStaticText8->SetFont(wxFont(9, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	netStatus = new wxStaticText(homeScreen, ID_NETSTATUS, wxT("Connecting...."), wxPoint(10, 10), wxDefaultSize, 0, wxT("netStatus"));
	netStatus->Show(false);
	netStatus->SetForegroundColour(wxColour(255,255,255));
	netStatus->SetBackgroundColour(wxColour(1,43,60));
	netStatus->SetFont(wxFont(9, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	sunnyBtn = new wxRadioButton(homeScreen, ID_SUNNYBTN, wxT("Sunny"), wxPoint(105, 215), wxSize(113, 17), wxRB_GROUP, wxDefaultValidator, wxT("sunnyBtn"));
	sunnyBtn->SetValue(true);
	sunnyBtn->SetForegroundColour(wxColour(255,255,255));
	sunnyBtn->SetBackgroundColour(wxColour(42,68,88));
	sunnyBtn->SetFont(wxFont(12, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	rainyBtn = new wxRadioButton(homeScreen, ID_RAINYBTN, wxT("Rainy"), wxPoint(276, 215), wxSize(113, 17), 0, wxDefaultValidator, wxT("rainyBtn"));
	rainyBtn->SetForegroundColour(wxColour(255,255,255));
	rainyBtn->SetBackgroundColour(wxColour(42,68,88));
	rainyBtn->SetFont(wxFont(12, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	snowyBtn = new wxRadioButton(homeScreen, ID_SNOWYBTN, wxT("Snowy"), wxPoint(440, 215), wxSize(113, 17), 0, wxDefaultValidator, wxT("snowyBtn"));
	snowyBtn->SetForegroundColour(wxColour(255,255,255));
	snowyBtn->SetBackgroundColour(wxColour(42,68,88));
	snowyBtn->SetFont(wxFont(12, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	randomBtn = new wxRadioButton(homeScreen, ID_RANDOMBTN, wxT("Random"), wxPoint(592, 215), wxSize(113, 17), 0, wxDefaultValidator, wxT("randomBtn"));
	randomBtn->SetForegroundColour(wxColour(255,255,255));
	randomBtn->SetBackgroundColour(wxColour(42,68,88));
	randomBtn->SetFont(wxFont(12, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	trackInfoPanel = new wxPanel(homeScreen, ID_TRACKINFOPANEL, wxPoint(35, 275), wxSize(185, 140));
	trackInfoPanel->SetBackgroundColour(wxColour(0,0,0));

	WxStaticText13 = new wxStaticText(trackInfoPanel, ID_WXSTATICTEXT13, wxT("Track records:"), wxPoint(0, 0), wxDefaultSize, 0, wxT("WxStaticText13"));
	WxStaticText13->SetForegroundColour(wxColour(255,255,255));
	WxStaticText13->SetFont(wxFont(12, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	WxStaticText14 = new wxStaticText(trackInfoPanel, ID_WXSTATICTEXT14, wxT("Ferrari F430"), wxPoint(30, 20), wxDefaultSize, 0, wxT("WxStaticText14"));
	WxStaticText14->SetForegroundColour(wxColour(116,116,116));
	WxStaticText14->SetFont(wxFont(10, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	ferrariName = new wxStaticText(trackInfoPanel, ID_FERRARINAME, wxT("unknown"), wxPoint(30, 35), wxDefaultSize, 0, wxT("ferrariName"));
	ferrariName->SetForegroundColour(wxColour(116,116,116));
	ferrariName->SetFont(wxFont(10, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	renaultTime = new wxStaticText(trackInfoPanel, ID_RENAULTTIME, wxT("--:--.--"), wxPoint(30, 110), wxDefaultSize, 0, wxT("renaultTime"));
	renaultTime->SetForegroundColour(wxColour(116,116,116));
	renaultTime->SetFont(wxFont(10, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	ferrariTime = new wxStaticText(trackInfoPanel, ID_FERRARITIME, wxT("--:--.--"), wxPoint(30, 50), wxDefaultSize, 0, wxT("ferrariTime"));
	ferrariTime->SetForegroundColour(wxColour(116,116,116));
	ferrariTime->SetFont(wxFont(10, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	WxStaticText18 = new wxStaticText(trackInfoPanel, ID_WXSTATICTEXT18, wxT("Renault Mgane III"), wxPoint(30, 80), wxDefaultSize, 0, wxT("WxStaticText18"));
	WxStaticText18->SetForegroundColour(wxColour(116,116,116));
	WxStaticText18->SetFont(wxFont(10, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	renaultName = new wxStaticText(trackInfoPanel, ID_RENAULTNAME, wxT("unknown"), wxPoint(30, 95), wxDefaultSize, 0, wxT("renaultName"));
	renaultName->SetForegroundColour(wxColour(116,116,116));
	renaultName->SetFont(wxFont(10, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	trackWarning = new wxStaticText(homeScreen, ID_TRACKWARNING, wxT("* Heavy rain or snow may increase performance requirements"), wxPoint(5, 445), wxDefaultSize, 0, wxT("trackWarning"));
	trackWarning->SetForegroundColour(wxColour(255,255,255));
	trackWarning->SetFont(wxFont(6, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	WxStaticText15 = new wxStaticText(homeScreen, ID_WXSTATICTEXT15, wxT("Cars:"), wxPoint(35, 360), wxDefaultSize, 0, wxT("WxStaticText15"));
	WxStaticText15->SetForegroundColour(wxColour(255,255,255));
	WxStaticText15->SetFont(wxFont(12, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	carsUsed1 = new wxStaticText(homeScreen, ID_CARSUSED1, wxT("#1 Random"), wxPoint(65, 375), wxDefaultSize, 0, wxT("carsUsed1"));
	carsUsed1->SetForegroundColour(wxColour(116,116,116));
	carsUsed1->SetFont(wxFont(11, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	carsUsed2 = new wxStaticText(homeScreen, ID_CARSUSED2, wxT("#2 None"), wxPoint(65, 390), wxDefaultSize, 0, wxT("carsUsed2"));
	carsUsed2->SetForegroundColour(wxColour(116,116,116));
	carsUsed2->SetFont(wxFont(11, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	carsBg = new wxStaticBitmap(homeScreen, ID_CARSBG, wxBitmap("D:/TVORBA/-=SKOLA=-/!DIP/ver0.9/Launcher/Images/bg_cars.bmp", wxBITMAP_TYPE_BMP), wxPoint(0, 0), wxSize(744, 462) );
	carsBg->Show(false);

	WxStaticText16 = new wxStaticText(homeScreen, ID_WXSTATICTEXT16, wxT("PlayerOne"), wxPoint(367, 368), wxDefaultSize, 0, wxT("WxStaticText16"));
	WxStaticText16->SetBackgroundColour(wxColour(202,202,200));
	WxStaticText16->SetFont(wxFont(9, wxSWISS, wxNORMAL, wxBOLD, false));

	P1RandomCar = new wxRadioButton(homeScreen, ID_P1RANDOMCAR, wxT("Random"), wxPoint(364, 382), wxSize(64, 17), 0, wxDefaultValidator, wxT("P1RandomCar"));
	P1RandomCar->SetBackgroundColour(wxColour(202,202,200));

	P1Ferrari = new wxRadioButton(homeScreen, ID_P1FERRARI, wxT("Ferrari"), wxPoint(165, 382), wxSize(64, 17), wxRB_GROUP, wxDefaultValidator, wxT("P1Ferrari"));
	P1Ferrari->SetBackgroundColour(wxColour(202,202,200));

	P1Renault = new wxRadioButton(homeScreen, ID_P1RENAULT, wxT("Renault"), wxPoint(536, 382), wxSize(64, 17), 0, wxDefaultValidator, wxT("P1Renault"));
	P1Renault->SetBackgroundColour(wxColour(202,202,200));

	WxStaticText17 = new wxStaticText(homeScreen, ID_WXSTATICTEXT17, wxT("Transmission:"), wxPoint(165, 399), wxDefaultSize, 0, wxT("WxStaticText17"));
	WxStaticText17->SetBackgroundColour(wxColour(202,202,200));
	WxStaticText17->SetFont(wxFont(9, wxSWISS, wxNORMAL, wxBOLD, false));

	P1AT = new wxRadioButton(homeScreen, ID_P1AT, wxT("Automatic"), wxPoint(254, 398), wxSize(80, 17), wxRB_GROUP, wxDefaultValidator, wxT("P1AT"));
	P1AT->SetBackgroundColour(wxColour(202,202,200));

	P1MT = new wxRadioButton(homeScreen, ID_P1MT, wxT("Manual"), wxPoint(340, 398), wxSize(90, 17), 0, wxDefaultValidator, wxT("P1MT"));
	P1MT->SetBackgroundColour(wxColour(202,202,200));

	P2CarPanel = new wxPanel(homeScreen, ID_P2CARPANEL, wxPoint(0, 415), wxSize(744, 50), wxTRANSPARENT_WINDOW);
	P2CarPanel->Show(false);

	WxStaticText19 = new wxStaticText(P2CarPanel, ID_WXSTATICTEXT19, wxT("Player Two"), wxPoint(367, 0), wxDefaultSize, 0, wxT("WxStaticText19"));
	WxStaticText19->SetBackgroundColour(wxColour(202,202,200));
	WxStaticText19->SetFont(wxFont(9, wxSWISS, wxNORMAL, wxBOLD, false));

	P2Ferrari = new wxRadioButton(P2CarPanel, ID_P2FERRARI, wxT("Ferrari"), wxPoint(165, 14), wxSize(64, 17), wxRB_GROUP, wxDefaultValidator, wxT("P2Ferrari"));
	P2Ferrari->SetBackgroundColour(wxColour(202,202,200));

	P2RandomCar = new wxRadioButton(P2CarPanel, ID_P2RANDOMCAR, wxT("Random"), wxPoint(364, 14), wxSize(64, 17), 0, wxDefaultValidator, wxT("P2RandomCar"));
	P2RandomCar->SetValue(true);
	P2RandomCar->SetBackgroundColour(wxColour(202,202,200));

	P2Renault = new wxRadioButton(P2CarPanel, ID_P2RENAULT, wxT("Renault"), wxPoint(536, 14), wxSize(64, 17), 0, wxDefaultValidator, wxT("P2Renault"));
	P2Renault->SetBackgroundColour(wxColour(202,202,200));

	WxStaticText20 = new wxStaticText(P2CarPanel, ID_WXSTATICTEXT20, wxT("Transmission:"), wxPoint(165, 31), wxDefaultSize, 0, wxT("WxStaticText20"));
	WxStaticText20->SetBackgroundColour(wxColour(202,202,200));
	WxStaticText20->SetFont(wxFont(9, wxSWISS, wxNORMAL, wxBOLD, false));

	P2AT = new wxRadioButton(P2CarPanel, ID_P2AT, wxT("Automatic"), wxPoint(254, 30), wxSize(80, 17), wxRB_GROUP, wxDefaultValidator, wxT("P2AT"));
	P2AT->SetBackgroundColour(wxColour(202,202,200));

	P2MT = new wxRadioButton(P2CarPanel, ID_P2MT, wxT("Manual"), wxPoint(340, 30), wxSize(90, 17), 0, wxDefaultValidator, wxT("P2MT"));
	P2MT->SetBackgroundColour(wxColour(202,202,200));

	WxStaticText22 = new wxStaticText(P2CarPanel, ID_WXSTATICTEXT22, wxT("Car color:"), wxPoint(440, 31), wxDefaultSize, 0, wxT("WxStaticText22"));
	WxStaticText22->SetBackgroundColour(wxColour(202,202,200));
	WxStaticText22->SetFont(wxFont(9, wxSWISS, wxNORMAL, wxBOLD, false));

	P2Color = new wxColourPickerCtrl(P2CarPanel, ID_P2COLOR, *wxBLACK, wxPoint(499, 22), wxSize(22, 22), wxNO_BORDER | wxCLRP_DEFAULT_STYLE, wxDefaultValidator, wxT("P2Color"));
	P2Color->SetBackgroundColour(wxColour(202,202,200));

	P1Color = new wxColourPickerCtrl(homeScreen, ID_P1COLOR, *wxBLACK, wxPoint(499, 390), wxSize(22, 22), wxNO_BORDER | wxCLRP_DEFAULT_STYLE, wxDefaultValidator, wxT("P1Color"));
	P1Color->SetBackgroundColour(wxColour(202,202,200));

	WxStaticText21 = new wxStaticText(homeScreen, ID_WXSTATICTEXT21, wxT("Car color:"), wxPoint(440, 399), wxDefaultSize, 0, wxT("WxStaticText21"));
	WxStaticText21->SetBackgroundColour(wxColour(202,202,200));
	WxStaticText21->SetFont(wxFont(9, wxSWISS, wxNORMAL, wxBOLD, false));

	homeWarning = new wxStaticText(homeScreen, ID_HOMEWARNING, wxT("* Passwords aren't crypted. Please don't use your usual passwords!"), wxPoint(5, 450), wxDefaultSize, 0, wxT("homeWarning"));
	homeWarning->SetForegroundColour(wxColour(255,255,255));
	homeWarning->SetFont(wxFont(6, wxSWISS, wxNORMAL, wxNORMAL, false, wxT("Arial")));

	SetTitle(wxT("Launcher"));
	SetIcon(wxNullIcon);
	SetSize(8,8,744,464);
	Center();
	
	////GUI Items Creation End
	
	homeBtn->Reparent(homeBg);
	trackBtn->Reparent(homeBg);
	carsBtn->Reparent(homeBg);
	exitBtn->Reparent(homeBg);
	startBtn->Reparent(homeBg);
	PlayerOnePanel->Reparent(homeBg);
	PlayerTwoPanel->Reparent(homeBg);
	homeTrackLabel->Reparent(homeBg);
	WxStaticText1->Reparent(homeBg);
	WxStaticText2->Reparent(homeBg);
	WxStaticText3->Reparent(homeBg);
	WxStaticText15->Reparent(homeBg);
	weatherLabel->Reparent(homeBg);
	carsUsed1->Reparent(homeBg);
	carsUsed2->Reparent(homeBg);
	homeWarning->Reparent(homeBg);
	
	sunnyBtn->Reparent(trackBg);
	sunnyBtn->SetValue(false);
	rainyBtn->Reparent(trackBg);
	snowyBtn->Reparent(trackBg);
	randomBtn->Reparent(trackBg);
	randomBtn->SetValue(true);
	trackInfoPanel->Reparent(trackBg);
	trackWarning->Reparent(trackBg);
	
	P1Ferrari->Reparent(carsBg);
	P1RandomCar->Reparent(carsBg);
	P1Renault->Reparent(carsBg);
	P2CarPanel->Reparent(carsBg);
	WxStaticText16->Reparent(carsBg);
	WxStaticText17->Reparent(carsBg);
	WxStaticText21->Reparent(carsBg);
	P1AT->Reparent(carsBg);
	P1AT->SetValue(true);
	P1Ferrari->SetValue(false);
	P1RandomCar->SetValue(true);
	P1MT->Reparent(carsBg);
	P2AT->SetValue(true);
	P2Ferrari->SetValue(false);
	P2RandomCar->SetValue(true);
	P1Color->Reparent(carsBg);
	
	int r1,r2,g1,g2,b1,b2;
	
	srand(time(NULL));
	
	r1 = rand()%256;
	r2 = rand()%256;
	g1 = rand()%256;
	g2 = rand()%256;
	b1 = rand()%256;
	b2 = rand()%256;
	
	P1Color->SetColour( wxColour(r1,g1,b1) );
	P2Color->SetColour( wxColour(r2,g2,b2) );
	
	
	// buttons states	
	wxBitmap homeBtn_dis_BITMAP ("D:/TVORBA/-=SKOLA=-/!DIP/ver0.9/Launcher/Images/btn_home_dis.bmp", wxBITMAP_TYPE_BMP);
	wxBitmap homeBtn_hov_BITMAP ("D:/TVORBA/-=SKOLA=-/!DIP/ver0.9/Launcher/Images/btn_home_hov.bmp", wxBITMAP_TYPE_BMP);
	homeBtn->SetBitmapHover(homeBtn_hov_BITMAP);
	homeBtn->SetBitmapDisabled(homeBtn_dis_BITMAP);
	
	wxBitmap carsBtn_dis_BITMAP ("D:/TVORBA/-=SKOLA=-/!DIP/ver0.9/Launcher/Images/btn_cars_dis.bmp", wxBITMAP_TYPE_BMP);
	wxBitmap carsBtn_hov_BITMAP ("D:/TVORBA/-=SKOLA=-/!DIP/ver0.9/Launcher/Images/btn_cars_hov.bmp", wxBITMAP_TYPE_BMP);
	carsBtn->SetBitmapHover(carsBtn_hov_BITMAP);
	carsBtn->SetBitmapDisabled(carsBtn_dis_BITMAP);
	
	wxBitmap trackBtn_dis_BITMAP ("D:/TVORBA/-=SKOLA=-/!DIP/ver0.9/Launcher/Images/btn_track_dis.bmp", wxBITMAP_TYPE_BMP);
	wxBitmap trackBtn_hov_BITMAP ("D:/TVORBA/-=SKOLA=-/!DIP/ver0.9/Launcher/Images/btn_track_hov.bmp", wxBITMAP_TYPE_BMP);
	trackBtn->SetBitmapHover(trackBtn_hov_BITMAP);
	trackBtn->SetBitmapDisabled(trackBtn_dis_BITMAP);
	
	wxBitmap exitBtn_dis_BITMAP ("D:/TVORBA/-=SKOLA=-/!DIP/ver0.9/Launcher/Images/btn_exit_dis.bmp", wxBITMAP_TYPE_BMP);
	wxBitmap exitBtn_hov_BITMAP ("D:/TVORBA/-=SKOLA=-/!DIP/ver0.9/Launcher/Images/btn_exit_hov.bmp", wxBITMAP_TYPE_BMP);
	exitBtn->SetBitmapHover(exitBtn_hov_BITMAP);
	exitBtn->SetBitmapDisabled(exitBtn_dis_BITMAP);
	
	wxBitmap startBtn_dis_BITMAP ("D:/TVORBA/-=SKOLA=-/!DIP/ver0.9/Launcher/Images/btn_start_dis.bmp", wxBITMAP_TYPE_BMP);
	//wxBitmap startBtn_hov_BITMAP ("D:/TVORBA/-=SKOLA=-/!DIP/ver0.9/Launcher/Images/btn_exit_hov.bmp", wxBITMAP_TYPE_BMP);
	//exitBtn->SetBitmapHover(exitBtn_hov_BITMAP);
	startBtn->SetBitmapDisabled(startBtn_dis_BITMAP);
}

void LauncherFrm::OnClose(wxCloseEvent& event)
{
	Destroy();
}

/*
 * exitBtnClick
 */
void LauncherFrm::exitBtnClick(wxCommandEvent& event)
{
	Destroy();
}

/*
 * OnJoinP2
 */
void LauncherFrm::OnJoinP2(wxCommandEvent& event)
{
    if( joinP2->IsChecked() ){
    	PlayerTwoDataPanel->Show( true );
    	
        if( P1Name->GetValue().Cmp(P2Name->GetValue()) == 0 || P2Status->GetLabel().Cmp("Online") == 0)
    	   P2LogIn->Enable( false );
    	else
    	   P2LogIn->Enable( true );
    	   
    	if( P2Ferrari->GetValue() == true )
    	   carsUsed2->SetLabel("#2 Ferrari");
    	else if( P2Renault->GetValue() == true )
    	   carsUsed2->SetLabel("#2 Renault");
    	else
    	   carsUsed2->SetLabel("#2 Random");
    	   
    	P2CarPanel->Show(true);
    }
    else{
        PlayerTwoDataPanel->Show( false );
    	
        if( P1Name->GetValue().Cmp(P2Name->GetValue()) == 0 )
    	   P1LogIn->Enable( true );
    	
        carsUsed2->SetLabel("#2 None");
    	   
    	P2CarPanel->Show(false);
    }
}

/*
 * P1LogInClick
 */
void LauncherFrm::P1LogInClick(wxCommandEvent& event)
{
    wxArrayString output;
    
    wxString command;
    command<<"Connector.exe ";

    command<<P1Name->GetValue()<<" "<<P1Password->GetValue();
    
    netStatus->SetLabel("Connecting...");
    netStatus->Show(true);
    
    wxExecute(command, output);
    
    if( output[0].Cmp("CONNECTED") == 0 ){
        P1Status->SetLabel("Online");
        P1Status->SetForegroundColour(wxColour(0,255,0));
        P1LogIn->Enable(false);
        P1LogOut->Enable(true);
        P1Name->Enable(false);
        P1Password->Enable(false);
        
        ferrariName->SetLabel(output[1]);
        ferrariTime->SetLabel(output[2]);
        renaultName->SetLabel(output[3]);
        renaultTime->SetLabel(output[4]);
    }
    else if( output[0].Cmp("OTHER_ERROR: 1") == 0 ){
        wxMessageDialog *dial = new wxMessageDialog(NULL, wxT("Incorrect login or password!"), wxT("Error"), wxOK | wxICON_ERROR);
        dial->ShowModal();
        
        ferrariName->SetLabel(output[1]);
        ferrariTime->SetLabel(output[2]);
        renaultName->SetLabel(output[3]);
        renaultTime->SetLabel(output[4]);
    }
    else if( output[0].Cmp("SIGNED") == 0 ){
        wxMessageDialog *dial = new wxMessageDialog(NULL, wxT("Your account was succesfully created.\nEnjoy the game ;)"), wxT("Welcome"), wxOK | wxICON_INFORMATION);
        dial->ShowModal();
        P1Status->SetLabel("Online");
        P1Status->SetForegroundColour(wxColour(0,255,0));
        P1LogIn->Enable(false);
        P1LogOut->Enable(true);
        P1Name->Enable(false);
        P1Password->Enable(false);
        
        ferrariName->SetLabel(output[1]);
        ferrariTime->SetLabel(output[2]);
        renaultName->SetLabel(output[3]);
        renaultTime->SetLabel(output[4]);
    }
    else if( output[0].Cmp("CONNECTION ERROR") == 0 ){
        wxMessageDialog *dial = new wxMessageDialog(NULL, wxT("Connection error!"), wxT("Error"), wxOK | wxICON_ERROR);
        dial->ShowModal();
    }
    else{
        wxMessageDialog *dial = new wxMessageDialog(NULL, wxT(output[0]), wxT("Error"), wxOK | wxICON_ERROR);
        dial->ShowModal();
    }
    
    netStatus->Show(false);
}

/*
 * P1NameUpdated
 */
void LauncherFrm::P1NameUpdated(wxCommandEvent& event)
{
    wxString wSpace = P1Name->GetValue();
    if(wSpace.Replace(" ","_") > 0){
        P1Name->SetValue(wSpace);
        P1Name->SetInsertionPoint(wSpace.Length());
    }
    if( P1Name->IsEmpty() == true || P1Password->IsEmpty() == true || 
      ( P1Name->GetValue().Cmp(P2Name->GetValue()) == 0 && joinP2->IsChecked() == true ) )
	   P1LogIn->Enable( false );
	else
	   P1LogIn->Enable( true );
}

/*
 * P1LogOutClick
 */
void LauncherFrm::P1LogOutClick(wxCommandEvent& event)
{
    P1Status->SetLabel("Offline");
    P1Status->SetForegroundColour(wxColour(255,0,0));
    P1LogIn->Enable(true);
    P1LogOut->Enable(false);
    P1Name->Enable(true);
    P1Password->Enable(true);
}

/*
 * P2NameUpdated
 */
void LauncherFrm::P2NameUpdated(wxCommandEvent& event)
{
    wxString wSpace = P2Name->GetValue();
    if(wSpace.Replace(" ","_") > 0){
        P2Name->SetValue(wSpace);
        P2Name->SetInsertionPoint(wSpace.Length());
    }
    if( P2Name->IsEmpty() || P2Password->IsEmpty() || 
      ( P1Name->GetValue().Cmp(P2Name->GetValue()) == 0 && joinP2->IsChecked()) )
	   P2LogIn->Enable( false );
	else
	   P2LogIn->Enable( true );
}

/*
 * P2LogInClick
 */
void LauncherFrm::P2LogInClick(wxCommandEvent& event)
{
    wxArrayString output;
    
    wxString command;
    command<<"Connector.exe ";

    command<<P2Name->GetValue()<<" "<<P2Password->GetValue();
    
    netStatus->SetLabel("Connecting...");
    netStatus->Show(true);
    
    wxExecute(command, output);
    
    if( output[0].Cmp("CONNECTED") == 0 ){
        P2Status->SetLabel("Online");
        P2Status->SetForegroundColour(wxColour(0,255,0));
        P2LogIn->Enable(false);
        P2LogOut->Enable(true);
        P2Name->Enable(false);
        P2Password->Enable(false);
        
        ferrariName->SetLabel(output[1]);
        ferrariTime->SetLabel(output[2]);
        renaultName->SetLabel(output[3]);
        renaultTime->SetLabel(output[4]);
    }
    else if( output[0].Cmp("OTHER_ERROR: 1") == 0 ){
        wxMessageDialog *dial = new wxMessageDialog(NULL, wxT("Incorrect login or password!"), wxT("Error"), wxOK | wxICON_ERROR);
        dial->ShowModal();
        dial->Destroy();
        
        ferrariName->SetLabel(output[1]);
        ferrariTime->SetLabel(output[2]);
        renaultName->SetLabel(output[3]);
        renaultTime->SetLabel(output[4]);
    }
    else if( output[0].Cmp("SIGNED") == 0 ){
        wxMessageDialog *dial = new wxMessageDialog(NULL, wxT("Your account was succesfully created.\nEnjoy the game ;)"), wxT("Welcome"), wxOK | wxICON_INFORMATION);
        dial->ShowModal();
        dial->Destroy();
        P2Status->SetLabel("Online");
        P2Status->SetForegroundColour(wxColour(0,255,0));
        P2LogIn->Enable(false);
        P2LogOut->Enable(true);
        P2Name->Enable(false);
        P2Password->Enable(false);
        
        ferrariName->SetLabel(output[1]);
        ferrariTime->SetLabel(output[2]);
        renaultName->SetLabel(output[3]);
        renaultTime->SetLabel(output[4]);
    }
    else if( output[0].Cmp("CONNECTION ERROR") == 0 ){
        wxMessageDialog *dial = new wxMessageDialog(NULL, wxT("Connection error!"), wxT("Error"), wxOK | wxICON_ERROR);
        dial->ShowModal();
        dial->Destroy();
    }
    else{
        wxMessageDialog *dial = new wxMessageDialog(NULL, wxT(output[0]), wxT("Error"), wxOK | wxICON_ERROR);
        dial->ShowModal();
        dial->Destroy();
    }
    
    netStatus->Show(false);
}

/*
 * P2LogOutClick
 */
void LauncherFrm::P2LogOutClick(wxCommandEvent& event)
{
    P2Status->SetLabel("Offline");
    P2Status->SetForegroundColour(wxColour(255,0,0));
    P2LogIn->Enable(true);
    P2LogOut->Enable(false);
    P2Name->Enable(true);
    P2Password->Enable(true);
}

/*
 * startBtnClick
 */
void LauncherFrm::startBtnClick(wxCommandEvent& event)
{
    wxArrayString output;
    
    int weather, slow_con;
    char name1[64], name2[64];
    int online1 = 0, online2 = 0;
    int p1car, p2car, p1t = 1, p2t = 1;
    float p1r, p1g, p1b, p2r, p2g, p2b;
    
    if( P1Ferrari->GetValue() == true )
        p1car = 1;
    else if( P1Renault->GetValue() == true )
        p1car = 0;
    else
        p1car = 3;
        
    if( P1MT->GetValue() == true )
        p1t = 0;
    
    if( P2Ferrari->GetValue() == true )
        p2car = 1;
    else if( P2Renault->GetValue() == true )
        p2car = 0;
    else
        p2car = 3;
        
    if( P2MT->GetValue() == true )
        p2t = 0;
        
    p1r = P1Color->GetColour().Red() / 255.0;
    p1g = P1Color->GetColour().Green() / 255.0;
    p1b = P1Color->GetColour().Blue() / 255.0;
        
    p2r = P2Color->GetColour().Red() / 255.0;
    p2g = P2Color->GetColour().Green() / 255.0;
    p2b = P2Color->GetColour().Blue() / 255.0;
    
    if( sunnyBtn->GetValue() == true )
        weather = 0;
    else if( rainyBtn->GetValue() == true )
        weather = 1;
    else if( snowyBtn->GetValue() == true )
        weather = 2;
    else
        weather = 3;
        
    if( slowConnection->IsChecked() == true )
        slow_con = 1;
    else
        slow_con = 0;
    
    wxString command;
    
    if( P1Name->GetValue().Cmp("PlayerOne") != 0 && P1Name->GetValue().IsEmpty() == false ){
        strncpy(name1, (const char*)P1Name->GetValue().mb_str(wxConvUTF8), 63);
    }
    else
        strncpy(name1,"PlayerOne", 63);
    if( joinP2->IsChecked() == true )
        if( P2Name->GetValue().Cmp("PlayerTwo") != 0 && P2Name->GetValue().IsEmpty() == false )
            strncpy(name2, (const char*)P2Name->GetValue().mb_str(wxConvUTF8), 63);
        else
            strncpy(name2,"PlayerTwo", 63);

    if( P1Status->GetLabel().Cmp("Online") == 0 )
        online1 = 1;
    if( joinP2->IsChecked() == true )
        if( P2Status->GetLabel().Cmp("Online") == 0 )
            online2 = 1;
            
    FILE * pFile;
	pFile = fopen ( "data/Brno/tmp" , "w" );
	if(pFile != NULL){
        if( joinP2->IsChecked() == true )
	       fprintf(pFile,"%d %d %s %d %d %d %f %f %f %s %d %d %d %f %f %f",weather, slow_con, name1, online1, p1car, p1t, p1r, p1g, p1b, name2, online2, p2car, p2t, p2r, p2g, p2b);
	    else
	       fprintf(pFile,"%d %d %s %d %d %d %f %f %f",weather, slow_con, name1, online1, p1car, p1t, p1r, p1g, p1b);
	   fclose(pFile);
    }
  
//    wxMessageDialog dlg(NULL, wxT("Launcher application may cause error in simulation when one selected Renault Megane. However saving your settings and run sim.exe manually will help (settings are restored to default when done playing)\nNote: Restarting Launcher application may also help.\nPlease choose:\n     YES to continue to game\n     NO to save settings and manually start sim.exe\n     CANCEL to alter settings"), wxT("Warning"), wxYES | wxNO | wxCANCEL | wxICON_QUESTION);
//    int pressed = dlg.ShowModal();
    
//    if( pressed == wxID_YES ){
        wxExecute("sim.exe", wxEXEC_ASYNC); 
//    }
//    else if( pressed == wxID_NO ){
//        Destroy();
//    }
    
    //wxExecute(command, output);
}

/*
 * trackBtnClick
 */
void LauncherFrm::trackBtnClick(wxCommandEvent& event)
{
	homeBtn->Reparent(trackBg);
	trackBtn->Reparent(trackBg);
	carsBtn->Reparent(trackBg);
	exitBtn->Reparent(trackBg);
	
	trackBg->Show(true);
	homeBg->Show(false);
	carsBg->Show(false);
	
	homeBtn->Enable(true);
	carsBtn->Enable(true);
	trackBtn->Enable(false);
}

/*
 * carsBtnClick
 */
void LauncherFrm::carsBtnClick(wxCommandEvent& event)
{
	homeBtn->Reparent(carsBg);
	trackBtn->Reparent(carsBg);
	carsBtn->Reparent(carsBg);
	exitBtn->Reparent(carsBg);
	
	trackBg->Show(false);
	homeBg->Show(false);
	carsBg->Show(true);
	
	homeBtn->Enable(true);
	carsBtn->Enable(false);
	trackBtn->Enable(true);
}

/*
 * homeBtnClick
 */
void LauncherFrm::homeBtnClick(wxCommandEvent& event)
{
	homeBtn->Reparent(homeBg);
	trackBtn->Reparent(homeBg);
	carsBtn->Reparent(homeBg);
	exitBtn->Reparent(homeBg);
    
    if( joinP2->IsChecked() == true ){	   
        if( P2Ferrari->GetValue() == true )
           carsUsed2->SetLabel("#2 Ferrari");
        else if( P2Renault->GetValue() == true )
           carsUsed2->SetLabel("#2 Renault");
        else
           carsUsed2->SetLabel("#2 Random");
    }
    else
        carsUsed2->SetLabel("#2 None");
    	   
    if( P1Ferrari->GetValue() == true )
       carsUsed1->SetLabel("#1 Ferrari");
    else if( P1Renault->GetValue() == true )
       carsUsed1->SetLabel("#1 Renault");
    else
       carsUsed1->SetLabel("#1 Random");
       
	
	trackBg->Show(false);
	homeBg->Show(true);
	carsBg->Show(false);
	
	homeBtn->Enable(false);
	carsBtn->Enable(true);
	trackBtn->Enable(true);
}

/*
 * sunnyBtnClick
 */
void LauncherFrm::sunnyBtnClick(wxCommandEvent& event)
{
	weatherLabel->SetLabel("Sunny");
}

/*
 * rainyBtnClick
 */
void LauncherFrm::rainyBtnClick(wxCommandEvent& event)
{
	weatherLabel->SetLabel("Rainy");
}

/*
 * snowyBtnClick
 */
void LauncherFrm::snowyBtnClick(wxCommandEvent& event)
{
	weatherLabel->SetLabel("Snowy");
}

/*
 * randomBtnClick
 */
void LauncherFrm::randomBtnClick(wxCommandEvent& event)
{
	weatherLabel->SetLabel("Random");
}
