///-----------------------------------------------------------------
///
/// @file      LauncherFrm.h
/// @author    Marin Javorka, xjavor12
/// Created:   29. 4. 2011 16:53:24
/// @section   DESCRIPTION
///            LauncherFrm class declaration
///
///------------------------------------------------------------------

#ifndef __LAUNCHERFRM_H__
#define __LAUNCHERFRM_H__

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/frame.h>
#else
	#include <wx/wxprec.h>
#endif

//Do not add custom headers between 
//Header Include Start and Header Include End.
//wxDev-C++ designer will remove them. Add custom headers after the block.
////Header Include Start
#include <wx/clrpicker.h>
#include <wx/radiobut.h>
#include <wx/checkbox.h>
#include <wx/button.h>
#include <wx/textctrl.h>
#include <wx/stattext.h>
#include <wx/bmpbuttn.h>
#include <wx/statbmp.h>
#include <wx/panel.h>
////Header Include End

#include <wincrypt.h>
#include <cstdio>
#include <ctime>

////Dialog Style Start
#undef LauncherFrm_STYLE
#define LauncherFrm_STYLE wxSYSTEM_MENU
////Dialog Style End

class LauncherFrm : public wxFrame
{
	private:
		DECLARE_EVENT_TABLE();
		
	public:
		LauncherFrm(wxWindow *parent, wxWindowID id = 1, const wxString &title = wxT("Launcher"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = LauncherFrm_STYLE);
		virtual ~LauncherFrm();
		void OnJoinP2(wxCommandEvent& event);
		void exitBtnClick(wxCommandEvent& event);
		void P1LogInClick(wxCommandEvent& event);
		void P1NameUpdated(wxCommandEvent& event);
		void P1LogOutClick(wxCommandEvent& event);
		void P2NameUpdated(wxCommandEvent& event);
		void P2LogInClick(wxCommandEvent& event);
		void P2LogOutClick(wxCommandEvent& event);
		
		void startBtnClick(wxCommandEvent& event);
		void trackBtnClick(wxCommandEvent& event);
		void carsBtnClick(wxCommandEvent& event);
		void homeBtnClick(wxCommandEvent& event);
		void sunnyBtnClick(wxCommandEvent& event);
		void rainyBtnClick(wxCommandEvent& event);
		void snowyBtnClick(wxCommandEvent& event);
		void randomBtnClick(wxCommandEvent& event);
	private:
        
        // custom declarations
        // custom declarations END
        
		//Do not add custom control declarations between
		//GUI Control Declaration Start and GUI Control Declaration End.
		//wxDev-C++ will remove them. Add custom code after the block.
		////GUI Control Declaration Start
		wxStaticText *homeWarning;
		wxStaticText *WxStaticText21;
		wxColourPickerCtrl *P1Color;
		wxColourPickerCtrl *P2Color;
		wxStaticText *WxStaticText22;
		wxRadioButton *P2MT;
		wxRadioButton *P2AT;
		wxStaticText *WxStaticText20;
		wxRadioButton *P2Renault;
		wxRadioButton *P2RandomCar;
		wxRadioButton *P2Ferrari;
		wxStaticText *WxStaticText19;
		wxPanel *P2CarPanel;
		wxRadioButton *P1MT;
		wxRadioButton *P1AT;
		wxStaticText *WxStaticText17;
		wxRadioButton *P1Renault;
		wxRadioButton *P1Ferrari;
		wxRadioButton *P1RandomCar;
		wxStaticText *WxStaticText16;
		wxStaticBitmap *carsBg;
		wxStaticText *carsUsed2;
		wxStaticText *carsUsed1;
		wxStaticText *WxStaticText15;
		wxStaticText *trackWarning;
		wxStaticText *renaultName;
		wxStaticText *WxStaticText18;
		wxStaticText *ferrariTime;
		wxStaticText *renaultTime;
		wxStaticText *ferrariName;
		wxStaticText *WxStaticText14;
		wxStaticText *WxStaticText13;
		wxPanel *trackInfoPanel;
		wxRadioButton *randomBtn;
		wxRadioButton *snowyBtn;
		wxRadioButton *rainyBtn;
		wxRadioButton *sunnyBtn;
		wxStaticText *netStatus;
		wxStaticText *WxStaticText8;
		wxStaticBitmap *trackBg;
		wxButton *P2LogOut;
		wxButton *P2LogIn;
		wxStaticText *P2Status;
		wxStaticText *WxStaticText12;
		wxTextCtrl *P2Password;
		wxStaticText *WxStaticText11;
		wxTextCtrl *P2Name;
		wxStaticText *WxStaticText10;
		wxPanel *PlayerTwoDataPanel;
		wxCheckBox *joinP2;
		wxStaticText *WxStaticText9;
		wxPanel *PlayerTwoPanel;
		wxCheckBox *slowConnection;
		wxButton *P1LogOut;
		wxButton *P1LogIn;
		wxTextCtrl *P1Password;
		wxTextCtrl *P1Name;
		wxStaticText *P1Status;
		wxStaticText *WxStaticText7;
		wxStaticText *WxStaticText6;
		wxStaticText *WxStaticText5;
		wxStaticText *WxStaticText4;
		wxPanel *PlayerOnePanel;
		wxStaticText *weatherLabel;
		wxStaticText *WxStaticText3;
		wxStaticText *WxStaticText2;
		wxStaticText *WxStaticText1;
		wxStaticText *homeTrackLabel;
		wxBitmapButton *startBtn;
		wxBitmapButton *homeBtn;
		wxBitmapButton *exitBtn;
		wxBitmapButton *carsBtn;
		wxBitmapButton *trackBtn;
		wxStaticBitmap *homeBg;
		wxPanel *homeScreen;
		////GUI Control Declaration End
		
	private:
		//Note: if you receive any error with these enum IDs, then you need to
		//change your old form code that are based on the #define control IDs.
		//#defines may replace a numeric value for the enum names.
		//Try copy and pasting the below block in your old form header files.
		enum
		{
			////GUI Enum Control ID Start
			ID_HOMEWARNING = 1146,
			ID_WXSTATICTEXT21 = 1142,
			ID_P1COLOR = 1141,
			ID_P2COLOR = 1145,
			ID_WXSTATICTEXT22 = 1144,
			ID_P2MT = 1140,
			ID_P2AT = 1139,
			ID_WXSTATICTEXT20 = 1138,
			ID_P2RENAULT = 1137,
			ID_P2RANDOMCAR = 1136,
			ID_P2FERRARI = 1135,
			ID_WXSTATICTEXT19 = 1134,
			ID_P2CARPANEL = 1112,
			ID_P1MT = 1111,
			ID_P1AT = 1110,
			ID_WXSTATICTEXT17 = 1109,
			ID_P1RENAULT = 1107,
			ID_P1FERRARI = 1106,
			ID_P1RANDOMCAR = 1105,
			ID_WXSTATICTEXT16 = 1104,
			ID_CARSBG = 1103,
			ID_CARSUSED2 = 1102,
			ID_CARSUSED1 = 1101,
			ID_WXSTATICTEXT15 = 1100,
			ID_TRACKWARNING = 1098,
			ID_RENAULTNAME = 1097,
			ID_WXSTATICTEXT18 = 1096,
			ID_FERRARITIME = 1095,
			ID_RENAULTTIME = 1094,
			ID_FERRARINAME = 1093,
			ID_WXSTATICTEXT14 = 1092,
			ID_WXSTATICTEXT13 = 1091,
			ID_TRACKINFOPANEL = 1090,
			ID_RANDOMBTN = 1089,
			ID_SNOWYBTN = 1088,
			ID_RAINYBTN = 1087,
			ID_SUNNYBTN = 1086,
			ID_NETSTATUS = 1085,
			ID_WXSTATICTEXT8 = 1084,
			ID_TRACKBG = 1082,
			ID_P2LOGOUT = 1081,
			ID_P2LOGIN = 1080,
			ID_P2STATUS = 1079,
			ID_WXSTATICTEXT12 = 1078,
			ID_P2PASSWORD = 1077,
			ID_WXSTATICTEXT11 = 1076,
			ID_P2NAME = 1075,
			ID_WXSTATICTEXT10 = 1074,
			ID_PLAYERTWODATAPANEL = 1045,
			ID_JOINP2 = 1044,
			ID_PLAYERTWOPANEL = 1043,
			ID_SLOWCONNECTION = 1099,
			ID_P1LOGOUT = 1041,
			ID_P1LOGIN = 1040,
			ID_P1PASSWORD = 1039,
			ID_P1NAMEEDIT = 1038,
			ID_P1STATUS = 1037,
			ID_WXSTATICTEXT7 = 1036,
			ID_WXSTATICTEXT6 = 1034,
			ID_WXSTATICTEXT5 = 1033,
			ID_WXSTATICTEXT4 = 1032,
			ID_PLAYERONEPANEL = 1030,
			ID_WEATHERLABEL = 1029,
			ID_WXSTATICTEXT3 = 1028,
			ID_WXSTATICTEXT2 = 1027,
			ID_WXSTATICTEXT1 = 1026,
			ID_HOMETRACKLABEL = 1025,
			ID_STARTBTN = 1024,
			ID_HOMEBTN = 1023,
			ID_EXITBTN = 1021,
			ID_CARSBTN = 1020,
			ID_TRACKBTN = 1019,
			ID_HOMEBG = 1018,
			ID_HOMESCREEN = 1017,
			////GUI Enum Control ID End
			ID_DUMMY_VALUE_ //don't remove this value unless you have other enum values
		};
		
	private:
		void OnClose(wxCloseEvent& event);
		void CreateGUIControls();
};

#endif
