/*
	Physical Simulation in Graphics Scene - master's thesis
    Copyright (C) 2010-2011  Marin Javorka, FIT VUT in Brno, http://www.fit.vutbr.cz, marian.javorka@deq.sk

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
*/
#ifndef MENU_H
#define MENU_H

#include <osgText/Text>
#include <osg/MatrixTransform>
#include <osg/PositionAttitudeTransform>
#include <osg/Projection>
#include <osg/Group>
#include <osg/Node>
#include <osg/Geode>
#include <osgDB/ReadFile>
#include <vector>

#include "vehicle.h"

#define DEFAULT_FONT 40
#define DEFAULT_TO 3000

using namespace std;

class MENU{
	private:
		osg::Group* MENUGeode;
		osg::Projection* MENUProjectionMatrix;
		osg::ref_ptr<osg::PositionAttitudeTransform> MENUPAT;
		int screen_width, screen_height;
		vector<osgText::Text*> menuItems;
	public:

		MENU(const int width, const int height);

		int getMenuItemsCount();

		osg::Projection* getMENU();

		void highlightMenuItem(int oldHighlighted, int newHighlighted);
};

#endif