/*
	Physical Simulation in Graphics Scene - master's thesis
    Copyright (C) 2010-2011  Marin Javorka, FIT VUT in Brno, http://www.fit.vutbr.cz, marian.javorka@deq.sk

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
*/
#include "my_key_event_handler.h"

MyKeyEventHandler *keyEH = new MyKeyEventHandler;

// returns true if given key is hold down
bool MyKeyEventHandler::IsKeyDown(int key_num){
	// check for interval 0 - 255
	if ((key_num >= 0) && (key_num < 70000))
		return keys[key_num].KeyDown;
	
	return false;
};

// returns true if given key was pressed
bool MyKeyEventHandler::IsKeyPressed(int key_num, bool leavePressed){
	// check for interval 0 - 255
	if ((key_num >= 0) && (key_num < 70000))

		// check if given key is pressed and set it to false
		if (keys[key_num].KeyPressed == true){
			if(!leavePressed)
				keys[key_num].KeyPressed = false;
			return true;
		}
	
	return false;
};

// key event handler
bool MyKeyEventHandler::handle(const osgGA::GUIEventAdapter& ea,osgGA::GUIActionAdapter& aa){

	osgViewer::View* viewer = dynamic_cast<osgViewer::View*>(&aa);
	if(!viewer)
		return false;

	// get key nubmer
	int key_num = ea.getKey();
	bool ret_val = false;

	// switch through event types
	switch(ea.getEventType()){
		// key pressed -> set both properties to true
		case(osgGA::GUIEventAdapter::KEYDOWN):
			if(keys[key_num].KeyDown == false){
				keys[key_num].KeyDown = true;
				keys[key_num].KeyPressed = true;
			}
			ret_val = true;

			break;
		// key released -> set both properties to false
		case(osgGA::GUIEventAdapter::KEYUP):
			keys[key_num].KeyDown = false;
			keys[key_num].KeyPressed = false;
			ret_val = true;
			break;
		default:
			break;
	}

	return ret_val;
}
