/*
	Physical Simulation in Graphics Scene - master's thesis
    Copyright (C) 2010-2011  Marin Javorka, FIT VUT in Brno, http://www.fit.vutbr.cz, marian.javorka@deq.sk

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
*/
#ifndef MY_KEY_EVENT_HANDLER_H
#define MY_KEY_EVENT_HANDLER_H

#include <osgGA/GUIEventHandler>
#include <osgViewer/Viewer>
#include <string>
#include <iostream>

// key properties structure
struct KeyProps
{
	KeyProps()	{
				KeyDown = false;
				KeyPressed = false;
			};
	bool KeyDown;
	bool KeyPressed;
};

// key event handler class
class MyKeyEventHandler : public osgGA::GUIEventHandler{
	private:
		// array of keys with stored properties
		KeyProps keys[65526];
	public:
		// returns true if key is down
		bool IsKeyDown(int key_num);

		// returns true if key was pressed
		bool IsKeyPressed(int key_num, bool leavePressed = false);

		// key event handler
		virtual bool handle(const osgGA::GUIEventAdapter& ea,osgGA::GUIActionAdapter&);

		virtual void accept(osgGA::GUIEventHandlerVisitor& v)   { v.visit(*this); };
};

extern MyKeyEventHandler *keyEH;
#endif